import org.apache.hadoop.hbase.HColumnDescriptor;
import org.apache.hadoop.hbase.HTableDescriptor;
import org.apache.hadoop.hbase.TableName;
import org.apache.hadoop.hbase.client.Admin;

public class HBaseTableManager {
    private static final String TABLE_NAME = "emp1520";
    private static final String[] CF_NAMES = {"empnum", "info", "salary", "performance", "training"};

    public static void createTable() throws IOException {
        TableName tableName = TableName.valueOf(TABLE_NAME);
        Admin admin = HBaseConnectionManager.getAdmin();

        if (admin.tableExists(tableName)) {
            admin.disableTable(tableName);
            admin.deleteTable(tableName);
        }

        HTableDescriptor tableDescriptor = new HTableDescriptor(tableName);
        for (String cf : CF_NAMES) {
            tableDescriptor.addFamily(new HColumnDescriptor(cf));
        }
        admin.createTable(tableDescriptor);
        System.out.println("Table emp1520 created successfully.");
    }
}