import org.apache.hadoop.hbase.TableName;
import org.apache.hadoop.hbase.client.*;
import org.apache.hadoop.hbase.util.Bytes;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

public class TrainingDAO {
    private static final String CF_TRAINING = "training";

    public static void countTrainingParticipants() throws IOException {
        Table table = HBaseConnectionManager.getConnection().getTable(TableName.valueOf("emp1520"));
        Scan scan = new Scan();
        scan.addColumn(Bytes.toBytes(CF_TRAINING), Bytes.toBytes("training_courses"));
        ResultScanner scanner = table.getScanner(scan);
        Map<String, Integer> countMap = new HashMap<>();

        for (Result result : scanner) {
            String courses = Bytes.toString(result.getValue(Bytes.toBytes(CF_TRAINING), Bytes.toBytes("training_courses")));
            if (courses != null) {
                for (String course : courses.split(", ")) {
                    countMap.put(course, countMap.getOrDefault(course, 0) + 1);
                }
            }
        }

        System.out.println("培训课程统计:");
        for (Map.Entry<String, Integer> entry : countMap.entrySet()) {
            System.out.println(entry.getKey() + ": " + entry.getValue() + " 人");
        }
        table.close();
    }
}